{% extends "base.html" %}
{% load sniplates %}
{% load static %}
{% block title %}ALPlot - New plot{% endblock %}

{% block content %}
{% load_widgets form="widgets/app.html" %}
<div class="grid-container content-container">
  <form action="" method="post" id="id_limitplot_form" data-records-url="{% url 'ajax_load_records' %}" novalidate> {% csrf_token %}
    <div class="grid-x grid-margin-x">
      <div class="large-12 cell">
        <h2>Create new ALPlot</h2><hr>
        <p class="lead">
          {% lorem %}
        </p>
        <hr class="margin-top">
      </div>
      <div class="large-4 cell">
        <h4>1. Basic metadata</h4>
        <p>Please provide a <strong>name</strong> and
        <strong>description</strong> for this plot.</p>
      </div>
      <div class="large-8 cell">
        <div class="input-group">
          <span class="input-group-label">{{ form.name.label }}</span>
          {% form_field form.name widget="form:TextInput" css_classes="input-group-field" hide_errors="true" %}
          <div class="input-group-button">
            {% form_field form.name widget="form:field_errors" %}
          </div>
        </div>
        {% form_field form.description widget="form:field_errors" %}
        {% form_field form.description widget="form:Textarea" rows=4 placeholder="description" hide_errors="true" %}
      </div>
      <div class="large-12 cell">
        <hr class="margin-top">
      </div>

      <div class="large-8 cell">
        <div class="image-hover-wrapper">
          <button type="submit" name="action" value="preview">
            {% if limitplot_preview %}
              <img src="{{ limitplot_preview }}"
                   alt="Render of the limitplot"
                   id="id_preview"
              />
            {% else %}
              <img src="https://placehold.it/800x600" id="id_preview">
            {% endif %}
            <span class="image-hover-wrapper-reveal">
              <p>Click to<br>Reload Preview</p>
            </span>
          </button>
        </div>
      </div>
      <div class="large-4 cell">
        <h4>2. Plot settings</h4>
        <p>Choose global plot options</p>

        {% widget "form:form_errors" %}

        <div class="grid-x grid-margin-x">

          <div class="large-12 cell">
            <h6 class="sidelines"><span>X-AXIS</span></h6>
            {% nested_widget "form:InputGroup" label="label" %}
              {% form_field form.xlabel css_classes="input-group-field" %}
            {% endnested %}
          </div>
          <div class="large-6 cell">
            {% nested_widget "form:InputGroup" label="low" %}
              {% form_field form.xrange_low css_classes="input-group-field" %}
            {% endnested %}
          </div>
          <div class="large-6 cell">
            {% nested_widget "form:InputGroup" label="high" %}
              {% form_field form.xrange_high css_classes="input-group-field" %}
            {% endnested %}
          </div>

          <div class="large-12 cell">
            <h6 class="sidelines"><span>Y-AXIS</span></h6>
            {% nested_widget "form:InputGroup" label="label" %}
              {% form_field form.ylabel css_classes="input-group-field" %}
            {% endnested %}
          </div>
          <div class="large-6 cell">
            {% nested_widget "form:InputGroup" label="low" %}
              {% form_field form.yrange_low css_classes="input-group-field" %}
            {% endnested %}
          </div>
          <div class="large-6 cell">
            {% nested_widget "form:InputGroup" label="high" %}
              {% form_field form.yrange_high css_classes="input-group-field" %}
            {% endnested %}
          </div>

          <div class="large-12 cell">
            <h6 class="sidelines"><span>LEGEND</span></h6>
          </div>
          <div class="large-4 cell">
            <label for="{{ form.show_legend.label }}" class="text-right middle">enable</label>
          </div>
          <div class="large-8 cell">
            {% form_field form.show_legend widget="form:Switch" %}
          </div>
          <div class="large-4 cell">
            <label for="{{ form.legend_loc.label }}" class="text-right middle">position</label>
          </div>
          <div class="large-8 cell">
            {% form_field form.legend_loc %}
          </div>
        </div>
      </div>

      <div class="large-12 cell">
        <hr class="margin-top">
        <h4>3. Compose plot</h4>
        <p>Choose from the list of available <strong>records</strong> and
        compose your plot.</p>

        <div id="visual-formset" data-formset-prefix="{{ formset.prefix }}">
          {{ formset.management_form }}

          <div data-formset-body>
            {% for fs in formset %}
              {% include "limitplots/visual_inline.html" with form=fs %}
            {% endfor %}
          </div>

          <script type="form-template" data-formset-empty-form>
            {% include "limitplots/visual_inline.html" with form=formset.empty_form %}
          </script>

          <button type="button" data-formset-add class="button small"><i class="fas fa-plus"></i> | Add record</button>

        </div>
      </div>

      <div class="large-12 cell">
        <hr class="margin-top">
        <h4>4. Finalize</h4>
        <p>When everything looks brilliant, submit your plot</p>
        {% if not request.META.HTTP_REFERER or request.META.HTTP_REFERER == request.path %}
          <a href="{% url 'limitplot_list' %}" class="secondary button">Cancel</a>
        {% else %}
          <a href="{{ request.META.HTTP_REFERER }}" class="secondary button">Cancel</a>
        {% endif %}
        <button type="submit" name="action" value="submit" class="button">
          Submit
        </button>
      </div>
    </div>
  </form>
</div>
{% endblock %}


{% block javascript %}
  <script src="{% static "js/plugins/jquery.formset.js" %}"></script>
  <script src="{% static "js/webplots/jquery.webplots.js" %}"></script>
  <script src="{% static "limitplots/js/formset.js" %}"></script>
{% endblock %}
